package com.dsk.cscec.constant;

/**
 * 二期项目常量信息
 *
 * @author sxk
 * @date 2024.02.05
 * @time 15:29
 */
public interface CbProjectConstants {
    /**
     * 成本阶段:标前
     */
    Integer CB_STAGE_BEFORE_BID = 0;
    /**
     * 成本阶段:标后
     */
    Integer CB_STAGE_AFTER_BID = 1;
    /**
     * 成本阶段:转固
     */
    Integer CB_STAGE_TO_SOLID = 2;
    /**
     * 成本阶段:暂无成本计划
     */
    Integer CB_STAGE_NO_COST_PLAN = 3;
    /**
     * 项目文件状态:准备中
     */
    Integer PROJECT_FILE_STATUS_PREPARING = 0;
    /**
     * 项目文件状态:解析中
     */
    Integer PROJECT_FILE_STATUS_PARSING = 1;
    /**
     * 项目文件状态:解析成功
     */
    Integer PROJECT_FILE_STATUS_PARSE_SUCCESS = 2;
    /**
     * 项目文件状态:解析失败
     */
    Integer PROJECT_FILE_STATUS_PARSE_FAIL = 3;
    /**
     * 删除状态:未删除
     */
    Integer DELETE_FLAG_EXIST = 0;
    /**
     * 删除状态:待删除
     */
    Integer DELETE_FLAG_WAIT_DELETE = 1;
    /**
     * 删除状态:已删除
     */
    Integer DELETE_FLAG_NOT_EXIST = 2;
    /**
     * 是否获取项目详情:是
     */
    Integer IS_GET_PROJECT_DETAIL = 0;
    /**
     * 是否获取项目详情:否
     */
    Integer NOT_GET_PROJECT_DETAIL = 1;

    //成本类型（0:直接费成本、1:工料汇总、2:措施项目、3:其他项目、4:现场经费、5:成本汇总）
    /**
     * 成本类型:直接费成本
     */
    int CB_TYPE_DIRECT_EXPENSE = 0;
    String CB_TYPE_DIRECT_EXPENSE_NAME = "直接费成本";
    /**
     * 成本类型:工料汇总
     */
    int CB_TYPE_QUANTITY_SUMMARY = 1;
    String CB_TYPE_QUANTITY_SUMMARY_NAME = "工料汇总";
    /**
     * 成本类型:措施项目
     */
    int CB_TYPE_MEASURE_PROJECT = 2;
    String CB_TYPE_MEASURE_PROJECT_NAME = "措施项目";
    /**
     * 成本类型:其他项目
     */
    int CB_TYPE_OTHER_PROJECT = 3;
    String CB_TYPE_OTHER_PROJECT_NAME = "其他项目";
    /**
     * 成本类型:现场经费
     */
    int CB_TYPE_SCENE_EXPENSE = 4;
    String CB_TYPE_SCENE_EXPENSE_NAME = "现场经费";
    /**
     * 成本类型:成本汇总
     */
    int CB_TYPE_SUMMARY = 5;
    String CB_TYPE_SUMMARY_NAME = "成本汇总";
    /**
     * 直接费清单/费用项分类标识:清
     */
    String DIRECT_EXPENSE_CATEGORY_TAG_QING = "清";
    /**
     * 直接费清单/费用项分类标识:专
     */
    String DIRECT_EXPENSE_CATEGORY_TAG_ZHUAN = "专";
    /**
     * 直接费清单/费用项分类标识:劳
     */
    String DIRECT_EXPENSE_CATEGORY_TAG_LAO = "劳";
    /**
     * 直接费清单/费用项分类标识:材
     */
    String DIRECT_EXPENSE_CATEGORY_TAG_CAI = "材";
    /**
     * 直接费编码:专
     */
    String DIRECT_EXPENSE_CODE_ZHUAN = "ZY";
    /**
     * 直接费编码:劳
     */
    String DIRECT_EXPENSE_CODE_LAO = "LW";
    /**
     * 直接费编码:材
     */
    String DIRECT_EXPENSE_CODE_CAI = "FG";
}
