package com.dsk.cscec.domain;

import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @ClassName CbProjectOtherVo
 * @Description 项目其他项目费用
 * @Author Dgm
 * @Date 2024/2/8 10:39
 * @Version 1.0.0
 */
@Data
public class CbProjectOther implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;
    /**
     * 成本阶段( 0:标前成本、1:标后成本、2:转固成本)
     */
    private Integer cbStage;
    /**
     * 项目ID
     */
    private Long projectId;
    /**
     * 父项id
     */
    private Long parentId;
    /**
     * 层级数
     */
    private Integer level;

    /**
     * 序号
     */
    private String number;

    /**
     * 处理后序号
     */
    private String dealWithNumber;

    /**
     * 清单内容
     */
    private String itemContent;

    /**
     * 工作内容、做法/规格型号/施工现场配置说明
     */
    private String workContent;

    /**
     * 单位
     */
    private String unit;

    /**
     * 工程量
     */
    private BigDecimal engineeringQuantity;

    /**
     * 不含税单价
     */
    private String unitPriceExcludingTax;

    /**
     * 不含税合价
     */
    private String totalPriceExcludeTax;
    /**
     * 税率(%)
     */
    private String taxRate;
    /**
     * 含税合价
     */
    private String totalPriceIncludingTax;

    /**
     * 税金（元）
     */
    private String taxAmount;
    /**
     * 成本科目
     */
    private String costSubject;
    /**
     * 税金类型
     */
    private String taxType;

    /**
     * 数据类型（1：履约担保、保函手续费、市场营销奖励费、2：创优费:3：其他:4：保险保函:5：水电费:6：现场其他直接费:7：技术质量管理:8：工程保险类:10：报批报建、竣工验收类
     */
    private String dataType;
    /**
     * 备注
     */
    private String remarks;

    /**
     * 修改人
     */
    private String updateBy;

    /**
     *  创建人
     */
    private String createBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 项目成本文件id
     */
    private Long cbProjectFileId;
}
