package com.dsk.cscec.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.dsk.common.core.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 劳务队长供应商挂靠风险表(LaborLeaderCustomerRisk)实体类
 *
 * @author sxk
 * @since 2024-06-04 17:28:40
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class LaborLeaderCustomerRisk extends BaseEntity implements Serializable {
    private static final long serialVersionUID = -52043090383272703L;
    /**
     * 风险ID
     */
    @TableId(value = "risk_id")
    private Long riskId;
    /**
     * 供应商企业ID
     */
    private Integer customerCid;
    /**
     * 劳务队长姓名
     */
    private String leaderName;
    /**
     * 劳务队长身份证号
     */
    private String laborCaptainIdCard;
    /**
     * 劳务队长联系电话
     */
    private String laborCaptainPhone;
    /**
     * 挂靠单位(供应商名称)
     */
    private String customerName;
    /**
     * 不良事由
     */
    private String badReason;
    /**
     * 不良行为情形
     */
    private String badBehaviorSituation;
    /**
     * 数据来源(0:自主添加,1:系统添加)
     */
    private Integer dataSource;
}
