package com.dsk.cscec.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 物料项目类
 *
 * @Author lcl
 * @Data 2024/3/15 9:15
 */
@Data
@TableName("s_materiel_project")
public class SMaterielProject {

    /**
     * 第三方项目id
     */
    @TableId(value = "id")
    private Long id;
    /**
     * 项目名称
     */
    private String name;

    private String ownerDeptName;
    /**
     * 项目对应的组织id
     */
    private Long ownerOrg;
    /**
     * 项目对应的父组织id
     */
    private Long parentId;

    private String shortName;
    /**
     * 项目（建设）状态 0:未开工; 1:在建; 2:停工; 3:完工; 4:验收
     */
    private Integer status;
    /**
     * 同步编码(ipm项目编码：project_code)
     */
    private String syncCode;
    /**
     * 1:表示普通项目;3:表示搅拌站
     */
    private Integer type;
}
