package com.dsk.cscec.domain.bo;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author sxk
 * @date 2024.02.05
 * @time 15:26
 */
@Data
public class AddCbProjectBo {
    /**
     * 项目名称
     */
    @NotBlank(message = "项目名称不能为空")
    private String projectName;
    /**
     * IPM项目编码
     */
    private String ipmProjectNo;
    /**
     * 是否获取项目详情
     */
    @NotNull(message = "是否获取项目详情不能为空")
    private Boolean isGetProjectDetail;
    /**
     * 文件名称
     */
    private String projectFileName;
    /**
     * 成本阶段(0:标前成本、1:标后成本、2:转固成本、3:暂无成本计划)
     */
    @NotNull(message = "未选择成本阶段")
    private Integer cbStage;
}
