package com.dsk.cscec.domain.bo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * @author sxk
 * @date 2024.06.05
 * @time 09:21
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class AddLaborLeaderCustomerRiskBo {
    /**
     * 劳务队长姓名
     */
    @NotBlank(message = "劳务队长姓名不能为空")
    private String leaderName;
    /**
     * 劳务队长身份证号
     */
    @NotBlank(message = "劳务队长身份证号不能为空")
    private String laborCaptainIdCard;
    /**
     * 劳务队长联系电话
     */
    @NotBlank(message = "劳务队长联系电话不能为空")
    private String laborCaptainPhone;
    /**
     * 挂靠单位(供应商名称)
     */
    @NotBlank(message = "挂靠单位名称不能为空")
    private String customerName;
    /**
     * 不良事由
     */
    @NotBlank(message = "不良事由不能为空")
    private String badReason;
    /**
     * 不良行为情形
     */
    @NotBlank(message = "不良行为情形不能为空")
    private String badBehaviorSituation;
    /**
     * 数据来源(0:自主添加,1:系统添加)
     */
    @NotNull(message = "数据来源不能为空")
    private Integer dataSource;
}
