package com.dsk.cscec.domain.bo;

import com.dsk.common.core.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import java.util.Date;
import java.util.List;

/**
 * 供应商分类查询
 *
 * @author
 * @since 2023-12-10
 */
@Data
public class CustomerInfoBo extends BaseEntity {
    /**
     * 客商主键
     */
    private Long customerKey;
    /**
     * 统一社会信用代码
     */
    private String unifySocialCode;
    /**
     * 供应商类别(分供,劳务分包,专业分包,租赁,劳务分包队伍)
     */
    @NotEmpty(message = "供应商类别不能为空")
    private String customerClass;
    /**
     * 劳务队伍标志（Y N）
     */
    private String serviceTeamLogo;
    /**
     * 供应商名称
     */
    private String customerName;
    /**
     * 注册地区域(东北地区,华东地区,华中地区,华北地区,华南地区,西北地区,西南地区)
     */
    private List<String> registerRegion;
    /**
     * 省份
     */
    private List<String> registerProvince;
    /**
     * 城市
     */
    private List<String> registerCity;
    /**
     * 供应商状态（不合格,优质,合格,移出,预警）
     */
    private List<String> customerState;
    /**
     * 资质等级(一级,二级,三级,不分等级,特级)
     */
    private List<String> credential;
    /**
     * 专业类别id
     */
    private List<String> groupSpecialtyId;
    /**
     * 集团专业类别
     */
    private String groupSpecialty;
    /**
     * 考评等级(A,B,C,Z)
     */
    private List<String> creditLevel;
    /**
     * 纳税人身份（一般纳税人，小规模纳税人）
     */
    private List<String> paytaxType;
    /**
     * 纳税人税率（免税，3%，6%，11%，17%）
     */
    private List<String> taxRate;
    /**
     * 准入时间开始
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date approveDate2Start;
    /**
     * 准入时间结束
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date approveDate2End;
    /**
     * 队长名称
     */
    private String leaderName;
    /**
     * 队长身份证号
     */
    private String laborCaptainIdCard;
    /**
     * 是否身份证查重
     */
    private Boolean isIdCardRepeat;

}
