package com.dsk.cscec.domain.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;


/**
 * 咨询机构合作记录
 *
 * @author
 * @since 2023-12-14
 */
@Data
@ExcelIgnoreUnannotated
public class AdvisoryBodyVo {
    /**
     * 项目主键
     */
    private Long projectKey;

    /**
     * 项目名称
     */
    @ExcelProperty(value = "项目名称", index = 0)
    private String projectName;

    /**
     * 项目编码
     */
    @ExcelProperty(value = "项目编码", index = 1)
    private String projectCode;

    /**
     * 省
     */
    @ExcelProperty(value = "省", index = 2)
    private String provinceName;

    /**
     * 市
     */
    @ExcelProperty(value = "市", index = 3)
    private String cityName;

    /**
     * 项目承接类型
     */
    @ExcelProperty(value = "项目承接类型", index = 4)
    private String isinvestproject;

    /**
     * 工程基础大类
     */
    @ExcelProperty(value = "工程基础大类", index = 5)
    private String projectType1;

    /**
     * 工程类别明细
     */
    @ExcelProperty(value = "工程类别明细", index = 6)
    private String projectType2;

    /**
     * 咨询机构ID
     */
    private Long advisoryBodyId;

    /**
     * 咨询机构cid(用于查询建设库数据)
     */
    private Integer advisoryBodyCid;

    /**
     * 咨询机构名称
     */
    private String advisoryBodyName;
    /**
     * 项目负责人
     */
    @ExcelProperty(value = "项目负责人姓名", index = 7)
    private String projectLeader;
    /**
     * 项目负责人专业
     */
    @ExcelProperty(value = "项目负责人专业", index = 8)
    private String projectLeaderMajor;
    /**
     * 项目负责人联系电话
     */
    @ExcelProperty(value = "项目负责人联系电话", index = 9)
    private String projectLeaderPhone;
    /**
     * 合同金额
     */
    @ExcelProperty(value = "合同金额", index = 10)
    private BigDecimal contractValue;
    /**
     * 业主单位cid
     */
    private Integer ownerCid;
    /**
     * 业主单位
     */
    @ExcelProperty(value = "业主单位", index = 11)
    private String ownerName;
    /**
     * 项目承接单位cid
     */
    private Integer contractOrgCid;
    /**
     * 项目承接单位
     */
    @ExcelProperty(value = "项目承接单位", index = 12)
    private String contractOrgName;

    /**
     * 创建时间/合同生效(盖章)日期
     */
    @ExcelProperty(value = "创建时间", index = 13)
    private Date contractSignDate;
}
