package com.dsk.cscec.domain.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 措施费导入数据
 *
 * @author tanyang
 * @create 2024-02-04 13:49
 **/
@Data
public class CbCostMeasuresImportVo {



        @ExcelProperty(value = "序号")
        private String number; // 清单内容

        @ExcelProperty(value = "清单内容")
        private String itemContent; // 清单内容

        @ExcelProperty(value = "工作内容、做法/规格型号/施工现场配置说明")
        private String workContent; // 工作内容、做法/规格型号/施工现场配置说明

        @ExcelProperty(value = "单位")
        private String unit; // 单位

        @ExcelProperty(value = "工程量")
        private BigDecimal quantity; // 工程量

        @ExcelProperty(value = "不含税单价")
        private String unitPriceExcludingTax; // 不含税单价

        @ExcelProperty(value = "使用时间")
        private String usageTime; // 使用时间

        @ExcelProperty(value = "不含税合价")
        private String amountExcludingTax; // 不含税合价

        @ExcelProperty(value = "税率(%)")
        private String taxRate; // 税率(%)

        @ExcelProperty(value = "含税合价")
        private String amountIncludingTax; // 含税合价

        @ExcelProperty(value = "摊销比例(%)")
        private String amortizationRatio; // 摊销比例(%)

        @ExcelProperty(value = "摊销后不含税合价")
        private String amountExcludeTaxAmortized; // 摊销后不含税合价

        @ExcelProperty(value = "摊销后含税合价")
        private String amountIncludeTaxAmortized; // 摊销后含税合价

        @ExcelProperty(value = "税金（元）")
        private String taxAmount; // 税金（元）

        @ExcelProperty(value = "备注")
        private String remarks; // 备注

        @ExcelProperty(value = "成本科目")
        private String costSubject; // 成本科目

        @ExcelProperty(value = "税金类型")
        private String taxType; // 税金类型


        //        @ExcelProperty(value = "主键")
        private Long id; // 主键

//        @ExcelProperty(value = "项目ID")
        private Long cbProjectId; // 项目ID

        private Long parentId; // 父项id

        private Integer level; // 层级数

        private String no; // 处理后内容

}
