package com.dsk.cscec.domain.vo;

import lombok.Data;

import java.util.Date;

/**
 * @Author lcl
 * @Data 2024/2/6 14:46
 */
@Data
public class CbQuantitySummaryListVo {

    private Long id;
    /**
     * 成本科目名称（合约规划）
     */
    private String cbSubjectName;
    /**
     * 公司编码
     */
    private String companyNo;
    /**
     * 集团编码
     */
    private String orgNo;
    /**
     * 成本名称
     */
    private String cbName;
    /**
     * 工作内容
     */
    private String jobContent;
    /**
     * 计算规则
     */
    private String calculationRule;
    /**
     * 计量单位
     */
    private String unit;
    /**
     * 材料说明
     */
    private String materialDescription;
    /**
     * 指导价格
     */
    private String guidePrice;
    /**
     * 投标选用单价（不含税）
     */
    private Double bidUnitPrice;
    /**
     * 单价差额
     */
    private Double unitPriceDifference;
    /**
     * 数量
     */
    private Double quantity;
    /**
     * 合价(不含税)
     */
    private Double combinedPrice;
    /**
     * 合价（含税）
     */
    private Double combinedPriceTax;
    /**
     * 品牌名称
     */
    private String brandName;
    /**
     * 投标选用来源
     */
    private String bidSource;
    /**
     * 备注
     */
    private String remark;
    /**
     * 工程量（本月用料）
     */
    private Double quantities;
    /**
     * 单位
     */
    private String quantitiesUnit;
    /**
     * 换算后本月用料
     */
    private Double conversionQuantities;
    /**
     * 换算单位
     */
    private String conversionUnit;
    /**
     * 采购单价
     */
    private Double purchaseUnitPrice;
    /**
     * 实际成本合价(不含税)
     */
    private Double actualCombinedPrice = 0.0;
    /**
     * 实际成本合价(不含税)成本是否超出计划成本当中合价(不含税)
     */
    private Boolean isActualGreaterThanPlan;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 截至本月总量
     */
    private Double totalQuantities;
    /**
     * 本月已填写成本Id
     */
    private String actualId;
    /**
     * 推送工程量(本月差值)
     */
    private Double pushQuantities;
    /**
     * 累计差值
     */
    private Double cumulativeDifference;
    /**
     * IPM项目编码
     */
    private String ipmProjectCode;
    /**
     * IPM合同编码
     */
    private String ipmContractCode;
    /**
     * IPM作业编码
     */
    private String ipmJobCode;
}
