package com.dsk.cscec.domain.vo;

import lombok.Data;

import java.util.List;

/**
 * 成本汇总
 *
 * @author cyf
 * @since 2024-02-06
 */
@Data
public class CbSummaryActualVo {
    /**
     * 主键id
     */
    private Long id;
    /**
     * 项目id
     */
    private Long projectId;
    /**
     * 成本阶段( 0:标前成本、1:标后成本、2:转固成本)
     */
    private Integer cbStage;
    /**
     * 层级
     */
    private Integer level;
    /**
     * 序号
     */
    private String number;
    /**
     * 名称/成本科目
     */
    private String cbName;
    /**
     * 不含税成本合价
     */
    private String taxExclusiveTotal;
    /**
     * 成本税金合价
     */
    private String cbTaxesTotal;
    /**
     * 含税成本合价
     */
    private String taxInclusiveTotal;
    /**
     * 成本占比
     */
    private String cbProportion;
    /**
     * 含税成本平米指标
     */
    private String taxInclusivePmTarget;
    /**
     * 备注
     */
    private String remark;
    /**
     * 费用id
     */
    private Long actualId;
    /**
     * 本月费用（含税）
     */
    private Double taxInclusiveExpense;
    /**
     * 本月费用（不含税）
     */
    private Double taxExclusiveExpense;
    /**
     * 截至本月费用（含税）
     */
    private Double taxInclusiveExpenseTotal;

    /**
     * 截至本月费用（不含税）
     */
    private Double taxExclusiveExpenseTotal;
    /**
     * 费用日期
     */
    private String expenseDate;

    private List<CbSummaryActualVo> children;

}
