package com.dsk.cscec.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dsk.cscec.domain.CbDirectExpense;
import com.dsk.cscec.domain.vo.CbDirectExpenseMenuVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 直接费成本表(CbDirectExpense)表数据库访问层
 *
 * @author sxk
 * @since 2024-02-05 14:43:31
 */
public interface CbDirectExpenseMapper extends BaseMapper<CbDirectExpense> {
    /**
     * 查询清单/费用项分类标识为数字的数字
     *
     * @param projectId       项目ID
     * @param regx            正则表达式1-10
     * @param deleteFlagExist 删除标识
     */
    List<CbDirectExpenseMenuVo> selectMenuData(@Param("projectId") Long projectId, @Param("regx") String regx, @Param("deleteFlagExist") Integer deleteFlagExist);

}

