package com.dsk.cscec.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dsk.cscec.domain.CbProjectRecord;
import com.dsk.cscec.domain.bo.CbProjectSearchBo;
import com.dsk.cscec.domain.vo.CbProjectRecordSearchVo;
import org.apache.ibatis.annotations.Param;

/**
 * 项目台账表(CbProjectRecord)表数据库访问层
 *
 * @author sxk
 * @since 2024-02-05 11:37:49
 */
public interface CbProjectRecordMapper extends BaseMapper<CbProjectRecord> {
    /**
     * 获取项目台账列表
     */
    Page<CbProjectRecordSearchVo> selectPageProjectRecordList(IPage<CbProjectSearchBo> build,
                                                              @Param("searchBo") CbProjectSearchBo searchBo,
                                                              @Param("deleteFlagExist") Integer deleteFlagExist,
                                                              @Param("projectFileStatusPreparing") Integer projectFileStatusPreparing,
                                                              @Param("cbStageNoCostPlan") Integer cbStageNoCostPlan);

    /**
     * 获取草稿弹窗列表
     */
    Page<CbProjectRecord> selectPageDraftDialogList(@Param("page") Page<CbProjectRecord> page, @Param(Constants.WRAPPER) QueryWrapper<CbProjectRecord> wrapper);
}

