package com.dsk.cscec.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dsk.common.core.domain.R;
import com.dsk.cscec.domain.CbSceneExpenseChildren;
import org.springframework.data.repository.query.Param;

import java.util.List;

/**
 * 现场经费-工资统筹、其他费用、现场管理费表(CbSceneExpenseChildren)表数据库访问层
 *
 * @author sxk
 * @since 2024-02-22 09:58:57
 */
public interface CbSceneExpenseChildrenMapper extends BaseMapper<CbSceneExpenseChildren> {
    /**
     * 获取现场经费汇总已添加成本数据月份
     */
    R<List<String>> getSceneExpenseSummaryMonthList(@Param("fileId") Long fileId, @Param("deleteFlagExist") Integer deleteFlagExist);

    /**
     * 获取现场经费二级分类已添加成本数据月份
     */
    R<List<String>> getSceneExpenseChildrenMonthList(@Param("fileId") Long fileId, @Param("deleteFlagExist") Integer deleteFlagExist);
}

