package com.dsk.cscec.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dsk.common.core.domain.PageQuery;
import com.dsk.common.core.domain.R;
import com.dsk.common.core.page.TableDataInfo;
import com.dsk.cscec.domain.DCustomer;
import com.dsk.cscec.domain.bo.DCustomerDynamicRiskChangeVo;
import com.dsk.cscec.domain.bo.DCustomerDynamicRiskStatisticsVo;
import com.dsk.cscec.domain.bo.DCustomerDynamicRiskTypeVo;
import com.dsk.cscec.domain.bo.DCustomerSearchBo;
import com.dsk.cscec.domain.vo.DCustomerListVo;

import java.util.List;

/**
 * 组织维表(DCustomer)表服务接口
 *
 * @author lcl
 * @since 2023-12-08 14:57:26
 */
public interface IDCustomerService extends IService<DCustomer> {

    TableDataInfo<DCustomerListVo> allSearchList(DCustomerSearchBo bo, PageQuery query);

    List<DCustomerListVo> exportList(DCustomerSearchBo bo);

    DCustomer info(String customerKey);

    /***
     *@Description: 供应商风险动态-统计
     *@Param: addVo 信息
     *@return: R
     *@Author: Dgm
     *@date: 2023/12/9 10:03
     */
    R dynamicRiskStatistics(DCustomerDynamicRiskStatisticsVo riskStatisticsVo);

    /***
     *@Description: 查询供应商风险类型分布
     *@Param: addVo 信息
     *@return: R
     *@Author: Dgm
     *@date: 2023/12/9 10:03
     */
    R riskType(DCustomerDynamicRiskTypeVo riskTypeVo);

    /***
     *@Description: 风险类型趋势
     *@Param: addVo 信息
     *@return: R
     *@Author: Dgm
     *@date: 2023/12/9 10:03
     */
    R riskChange(DCustomerDynamicRiskChangeVo riskChangeVo);

}

