package com.dsk.cscec.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dsk.common.core.domain.PageQuery;
import com.dsk.common.core.page.TableDataInfo;
import com.dsk.cscec.domain.LaborLeaderCustomerRisk;
import com.dsk.cscec.domain.bo.AddLaborLeaderCustomerRiskBo;
import com.dsk.cscec.domain.bo.QueryLaborLeaderCustomerRisk;

/**
 * 劳务队长供应商挂靠风险表(LaborLeaderCustomerRisk)表服务接口
 *
 * @author sxk
 * @since 2024-06-04 17:28:40
 */
public interface LaborLeaderCustomerRiskService extends IService<LaborLeaderCustomerRisk> {
    /**
     * 添加挂靠风险记录
     */
    Integer addRiskRecord(AddLaborLeaderCustomerRiskBo addBo);

    /**
     * 查询挂靠风险列表
     */
    TableDataInfo<LaborLeaderCustomerRisk> queryRiskList(QueryLaborLeaderCustomerRisk queryBo, PageQuery pageQuery);
}

